// src/lib/process.ts
// Copyright (C) 2026 Robert Colbert <rob.colbert@openplatform.us>
// All Rights Reserved

import { DtpComponent } from "./component.js";
import { DtpLog } from "./log.js";

export abstract class DtpProcess implements DtpComponent {
  log: DtpLog;

  abstract get name(): string;
  abstract get slug(): string;

  constructor() {
    this.log = new DtpLog(this);
  }
}
